package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.KeyProjectMapper;
import com.ruoyi.system.domain.KeyProject;
import com.ruoyi.system.service.IKeyProjectService;
import com.ruoyi.common.core.text.Convert;

/**
 * 重点工程Service业务层处理
 *
 * @author ruoyi
 * @date 2023-07-24
 */
@Service
public class KeyProjectServiceImpl implements IKeyProjectService
{
    @Autowired
    private KeyProjectMapper keyProjectMapper;

    /**
     * 查询重点工程
     *
     * @param id 重点工程主键
     * @return 重点工程
     */
    @Override
    public KeyProject selectKeyProjectById(Long id)
    {
        return keyProjectMapper.selectKeyProjectById(id);
    }

    /**
     * 查询重点工程列表
     *
     * @param keyProject 重点工程
     * @return 重点工程
     */
    @Override
    public List<KeyProject> selectKeyProjectList(KeyProject keyProject)
    {
        return keyProjectMapper.selectKeyProjectList(keyProject);
    }

    /**
     * 新增重点工程
     *
     * @param keyProject 重点工程
     * @return 结果
     */
    @Override
    public int insertKeyProject(KeyProject keyProject)
    {
        keyProject.setParentId(1L);
        return keyProjectMapper.insertKeyProject(keyProject);
    }

    /**
     * 修改重点工程
     *
     * @param keyProject 重点工程
     * @return 结果
     */
    @Override
    public int updateKeyProject(KeyProject keyProject)
    {
        keyProject.setParentId(1L);
        return keyProjectMapper.updateKeyProject(keyProject);
    }

    /**
     * 批量删除重点工程
     *
     * @param ids 需要删除的重点工程主键
     * @return 结果
     */
    @Override
    public int deleteKeyProjectByIds(String ids)
    {
        return keyProjectMapper.deleteKeyProjectByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除重点工程信息
     *
     * @param id 重点工程主键
     * @return 结果
     */
    @Override
    public int deleteKeyProjectById(Long id)
    {
        return keyProjectMapper.deleteKeyProjectById(id);
    }
}
